using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 获取清单附件
    /// </summary>
    [Description("获取清单附件")]
    public class T_LR_LEGAL_LIST_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 其他识别表
        /// </summary>
        [Description("其他识别表")]
        [DataFieldForeignKey("Nav_LegalListDetail", "Nav_Files")]
        public Guid LEGAL_LIST_DETAIL { get; set; }
        /// <summary>
        /// 导航：其他识别表
        /// </summary>
        [Description("导航：其他识别表")]
        public T_LR_LEGAL_LIST_DETAIL Nav_LegalListDetail { get; set; }
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// 文件
        /// </summary>
        [Description("文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
